<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaCheckAvail StructType
 * @subpackage Structs
 */
class VisaCheckAvail extends AbstractStructBase
{
    /**
     * The VisaCheckAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaCheckAvailRQ
     */
    public $VisaCheckAvailRQ;
    /**
     * Constructor method for VisaCheckAvail
     * @uses VisaCheckAvail::setVisaCheckAvailRQ()
     * @param \StructType\JP_VisaCheckAvailRQ $visaCheckAvailRQ
     */
    public function __construct(\StructType\JP_VisaCheckAvailRQ $visaCheckAvailRQ = null)
    {
        $this
            ->setVisaCheckAvailRQ($visaCheckAvailRQ);
    }
    /**
     * Get VisaCheckAvailRQ value
     * @return \StructType\JP_VisaCheckAvailRQ|null
     */
    public function getVisaCheckAvailRQ()
    {
        return $this->VisaCheckAvailRQ;
    }
    /**
     * Set VisaCheckAvailRQ value
     * @param \StructType\JP_VisaCheckAvailRQ $visaCheckAvailRQ
     * @return \StructType\VisaCheckAvail
     */
    public function setVisaCheckAvailRQ(\StructType\JP_VisaCheckAvailRQ $visaCheckAvailRQ = null)
    {
        $this->VisaCheckAvailRQ = $visaCheckAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaCheckAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
